MultiboxActionForm (Struts Apps - Cookbook 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.multibox
Class MultiboxActionForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          examples.multibox.MultiboxActionForm

All Implemented Interfaces:
  Serializable

    public class MultiboxActionForm

extends ActionForm

An ActionForm for the Multibox examples

Version:
  $Rev: 471754 $ $Date: 2006-11-06 08:55:09 -0600 (Mon, 06 Nov 2006) $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`MultiboxActionForm()` Constructor for MultiboxActionForm.

Method Summary
`String[]` | `getColors()` Returns the colors.
`String[]` | `getFruits()` Returns the fruits.
`void` | `reset(ActionMapping mapping, HttpServletRequest request)` Clear all checkboxes
`void` | `setColors(String[] colors)` Sets the colors.
`void` | `setFruits(String[] fruits)` Sets the fruits.
`ActionErrors` | `validate(ActionMapping mapping, HttpServletRequest request)` Validate the properties that have been set from this HTTP request, and return an `ActionMessages` object that encapsulates any validation errors that have been found.

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiboxActionForm

    public MultiboxActionForm()

  Constructor for MultiboxActionForm.

Method Detail

### reset

    public void reset(ActionMapping mapping,
                      HttpServletRequest request)

  Clear all checkboxes

  Overrides:
    `reset` in class `ActionForm`
  Parameters:
    `mapping` - The mapping used to select this instance
    `request` - The servlet request we are processing

### validate

    public ActionErrors validate(ActionMapping mapping,
                                 HttpServletRequest request)

  Validate the properties that have been set from this HTTP request, and return an `ActionMessages` object that encapsulates any validation errors that have been found. If no errors are found, return `null` or an `ActionMessages` object with no recorded error messages.

  Overrides:
    `validate` in class `ActionForm`
  Parameters:
    `mapping` - The mapping used to select this instance
    `request` - The servlet request we are processing
  Returns:
    ActionMessages if any validation errors occurred

### getColors

    public String[] getColors()

  Returns the colors.

  Returns:
    String[]

### getFruits

    public String[] getFruits()

  Returns the fruits.

  Returns:
    String[]

### setColors

    public void setColors(String[] colors)

  Sets the colors.

  Parameters:
    `colors` - The colors to set

### setFruits

    public void setFruits(String[] fruits)

  Sets the fruits.

  Parameters:
    `fruits` - The fruits to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.